Package ru.bitel.bgbilling.modules.dialup.server.bean

# Class DialUpLoginManager

java.lang.Object
bitel.billing.server.call.bean.LoginManager
ru.bitel.bgbilling.modules.dialup.server.bean.DialUpLoginManager

public class DialUpLoginManager extends LoginManager

- ## Field Summary

  ### Fields inherited from class bitel.billing.server.call.bean.LoginManager

  `con, mid, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DialUpLoginManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DialUpLogin`
  `addLogin(Login login, Preferences moduleSetup)`
  `String`
  `checkAliases(Login login, Set<String> aliases)`
  `protected void`
  `doSpecificWrapActions(int newLoginId, Date dateOpen, Date dateClose, Login login, bitel.billing.server.util.db.TableCopier tableCopier)`
  `DialUpLogin`
  `findLogin(String userName, Date date)`
  Возвращает логин по его имени или алиасу и дате
  `protected DialUpLogin`
  `getLoginFromResultSet(ResultSet rs)`
  `boolean`
  `hasActiveSessions(int loginId)`
  Проверка наличия активных сессий логина.
  `Set<Integer>`
  `loadAttrSet(int loginId, String realm)`
  Загружает набор аттрибутов для данного логина
  `protected void`
  `moveLoginData(Login login, int cidFrom, int cidTo)`
  Перенос наработки логина при его полном переносе.
  `void`
  `recalcAfterMove(bitel.billing.server.util.MonthForRecalc months, int cidFrom, int cidTo)`
  После выполненя различных переносов логинов - переустановка балансов в договорах.
  `void`
  `updateAttributeSet(int lid, List<String[]> sets)`
  `void`
  `updateLimitService(int lid, String sids, int type, String param1, String param2, Calendar date1, Calendar date2, String comment, int num, List<int[]> conditions)`
  Обновляет ограничение логина
  `void`
  `updateLogin(Login login)`
  `final void`
  `updateRealmOptions(int lid, int rpMode, String realmGroup)`
  Обновляет режим радиус-аттрибутов и группу реалмов для логина
  `protected void`
  `wrapLoginData(Login loginFrom, Login loginTo)`
  Перенос наработки логина при его переносе с новой даты.

  ### Methods inherited from class bitel.billing.server.call.bean.LoginManager

  `checkConflictAliases, checkLogin, checkLoginAvailable, deleteLogin, getContractLogins, getLoginAliases, getLoginById, getLoginManager, getLoginTitle, loadAVPPairs, loginsList, loginsList, logPswdChange, moveLogin, updateAliases, updateAttributes, updatePassword, wrapLogin`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DialUpLoginManager

    public DialUpLoginManager(Connection con, int moduleId)

- ## Method Details

  - ### findLogin

    public DialUpLogin findLogin(String userName, Date date)
    Возвращает логин по его имени или алиасу и дате
    Parameters:
      `userName` - имя или алиас логина
      `date` - дата
    Returns:
      логин Dialup

  - ### addLogin

    public DialUpLogin addLogin(Login login, Preferences moduleSetup)
    Specified by:
      `addLogin` in class `LoginManager`
    See Also:
      - `LoginManager.addLogin(bitel.billing.server.call.bean.Login, ru.bitel.bgbilling.server.util.ModuleSetup)`

  - ### updateLogin

    public void updateLogin(Login login)
    Specified by:
      `updateLogin` in class `LoginManager`
    See Also:
      - `LoginManager.updateLogin(bitel.billing.server.call.bean.Login)`

  - ### getLoginFromResultSet

    protected DialUpLogin getLoginFromResultSet(ResultSet rs) throws SQLException
    Specified by:
      `getLoginFromResultSet` in class `LoginManager`
    Throws:
      `SQLException`

  - ### updateLimitService

    public void updateLimitService(int lid, String sids, int type, String param1, String param2, Calendar date1, Calendar date2, String comment, int num, List<int[]> conditions) throws SQLException
    Обновляет ограничение логина
    Parameters:
      `lid` - код логина
      `sids` - коды услуг через запятую
      `type` - тип
      `param1` - параметр1
      `param2` - параметр2
      `date1` - дата начала
      `date2` - дата окончания
      `comment` - комментарий
      `num` - номер позиции
      `conditions` - ограничения на действие ограничений
    Throws:
      `SQLException`

  - ### updateAttributeSet

    public void updateAttributeSet(int lid, List<String[]> sets) throws SQLException
    Throws:
      `SQLException`

  - ### updateRealmOptions

    public final void updateRealmOptions(int lid, int rpMode, String realmGroup) throws SQLException
    Обновляет режим радиус-аттрибутов и группу реалмов для логина
    Parameters:
      `lid` - код логина
      `rpMode` - режим р-а
      `realmGroup` - группа реалмов
    Throws:
      `SQLException`

  - ### loadAttrSet

    public Set<Integer> loadAttrSet(int loginId, String realm)
    Загружает набор аттрибутов для данного логина
    Parameters:
      `loginId` - логин
      `realm` -

  - ### moveLoginData

    protected void moveLoginData(Login login, int cidFrom, int cidTo) throws SQLException
    Description copied from class: `LoginManager`
    Перенос наработки логина при его полном переносе.
    Specified by:
      `moveLoginData` in class `LoginManager`
    Throws:
      `SQLException`
    See Also:
      - `LoginManager.moveLoginData(bitel.billing.server.call.bean.Login, int, int)`

  - ### wrapLoginData

    protected void wrapLoginData(Login loginFrom, Login loginTo) throws SQLException
    Description copied from class: `LoginManager`
    Перенос наработки логина при его переносе с новой даты.
    Specified by:
      `wrapLoginData` in class `LoginManager`
    Throws:
      `SQLException`
    See Also:
      - `LoginManager.wrapLoginData(bitel.billing.server.call.bean.Login, bitel.billing.server.call.bean.Login)`

  - ### hasActiveSessions

    public boolean hasActiveSessions(int loginId)
    Description copied from class: `LoginManager`
    Проверка наличия активных сессий логина.
    Overrides:
      `hasActiveSessions` in class `LoginManager`
    Returns:
    See Also:
      - `LoginManager.hasActiveSessions(int)`

  - ### recalcAfterMove

    public void recalcAfterMove(bitel.billing.server.util.MonthForRecalc months, int cidFrom, int cidTo) throws SQLException
    Description copied from class: `LoginManager`
    После выполненя различных переносов логинов - переустановка балансов в договорах.
    Specified by:
      `recalcAfterMove` in class `LoginManager`
    Throws:
      `SQLException`
    See Also:
      - `LoginManager.recalcAfterMove(bitel.billing.server.util.MonthForRecalc, int, int)`

  - ### doSpecificWrapActions

    protected void doSpecificWrapActions(int newLoginId, Date dateOpen, Date dateClose, Login login, bitel.billing.server.util.db.TableCopier tableCopier) throws SQLException
    Specified by:
      `doSpecificWrapActions` in class `LoginManager`
    Throws:
      `SQLException`

  - ### checkAliases

    public String checkAliases(Login login, Set<String> aliases)
    Specified by:
      `checkAliases` in class `LoginManager`